PARTX(8)

BEZEICHNUNG
partx - Teilt dem Linux-Kernel die Verfügbarkeit und Nummerierung der Partitionen auf Platten mit

ÜBERSICHT
partx [-a|-d|-P|-r|-s|-u] [-t Typ] [-n M:N] [-] Platte
partx [-a|-d|-P|-r|-s|-u] [-t Typ] Partition [Platte]

BESCHREIBUNG
Nach Angabe eines Gerätes oder Festplatten-Images versucht partx die Partitionstabelle einzulesen und deren Inhalt anzuzeigen. Optional kann es Partitionen hinzufügen oder entfernen.

Das Argument Platte ist optional, wenn eine Partition angegeben wird. Um eine Partition so einzulesen, als ob sie eine ganze Festplatte wäre (um beispielsweise eingebettete Unterpartitionen anzeigen zu lassen), verwenden Sie »-« als Argument. Beispiel:

    partx --show - /dev/sda3

Dadurch wird sda3 als Gesamtlaufwerk und nicht als Partition betrachtet.

Dies ist kein fdisk-Programm! Das Hinzufügen und Entfernen von Partitionen ändert nichts am Laufwerk, es wird lediglich dem Kernel die Präsenz und Nummerierung der Partitionen auf dem Laufwerk mitgeteilt.

OPTIONEN

-a, --add
    fügt die angegebenen Partitionen hinzu oder ermittelt den Inhalt des Laufwerks und fügt alle Partitionen hinzu.

-b, --bytes
    gibt die Spalte GRÖSSE in Bytes anstatt in einem menschenlesbaren Format aus.

-d, --delete
    löscht die angegebenen Partitionen oder alle Partitionen.

-g, --noheadings
    gibt mit --show oder --raw keine Kopfzeile aus.

-l, --list
    listet die Partitionen auf. Beachten Sie, dass sich alle Zahlenangaben auf die Anzahl der 512 Bytes großen Sektoren beziehen. Bitte verwenden Sie dieses Listenformat nicht in neuen Skripten, da das Ausgabeformat von --show in jedem Falle vorzuziehen ist.

-n, --nr M:N
    Specify the range of partitions. For backward compatibility also the format M-N is supported. The range may contain negative numbers, for example --nr -1:-1 means the last partition, and --nr -2:-1 means the last two partitions. Supported range specifications are:

    M   gibt genau eine Partition an (z.B. --nr 3).

    M:  gibt nur die untere Grenze an (z.B. --nr 2:).

    :N  gibt nur die obere Grenze an (z.B. --nr 4).

    M:N gibt die untere und obere Grenze an (z.B. --nr 2:4).

-o, --output Liste
    gibt die für die Ausgabe von --show, --pairs und --raw zu verwendenden Spalten an. Falls keine Ausgabeanordnung angegeben ist, wird die Vorgabe verwendet. Mit --help erhalten Sie eine Liste aller unterstützten Spalten. Diese Option kann nicht mit --add, --delete, --update oder --list kombiniert werden.

-P, --pairs
    veranlasst die Ausgabe der Partitionen im Format Schlüssel="Wert".

-r, --raw
    verwendet das Rohformat für die Ausgabe der Partitionen.

-s, --show
    listet die Partitionen auf. Die Ausgabespalten und deren Anordnung kann mit der Option --output beeinflusst werden. Alle Zahlenangaben (außer GRÖSSE) beziehen sich auf 512-Byte-Sektoren.

-t, --type Typ
    Specify the partition table type.

--list-types
    List supported partition types and exit.

-u, --update
    aktualisiert die angegebenen Partitionen.

-S, --sector-size size
    Overwrite default sector size.

-v, --verbose
    aktiviert den ausführlichen Modus.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt diese Hilfe an und beendet das Programm.

BEISPIELE

partx --show /dev/sdb3
partx --show --nr 3 /dev/sdb
partx --show /dev/sdb3 /dev/sdb
    Alle drei Befehle listen Partition 3 auf /dev/sdb auf.

partx --show - /dev/sdb3
    listet alle Unterpartitionen auf /dev/sdb3 auf (wobei das Gerät als Gesamtlaufwerk betrachtet wird).

partx -o START -g --nr 5 /dev/sdb
    gibt den Anfangssektor auf Partition 5 auf /dev/sda ohne Kopfzeile aus.

partx -o SEKTOREN,GRÖSSE /dev/sda5 /dev/sda
    listet die Länge der Partition 5 auf /dev/sda in Sektoren in einem menschenlesbaren Format auf.

partx --add --nr 3:5 /dev/sdd
    fügt alle verfügbaren Partitionen von 3 bis einschließlich 5 auf /dev/sdd hinzu.

partx -d --nr :-1 /dev/sdd
    Entfernt die letzte Partition auf /dev/sdd.

SIEHE AUCH
addpart(8), delpart(8), fdisk(8), parted(8), partprobe(8)

AUTOREN
Davidlohr Bueso (dave@gnu.org)
Karel Zak (kzak@redhat.com)

Die ursprüngliche Version wurde geschrieben von Andries E. Brouwer (aeb@cwi.nl).

UMGEBUNGSVARIABLEN

LIBBLKID_DEBUG=all
    aktiviert die Debug-Ausgabe.

VERFÜGBARKEIT
The partx command is part of the util-linux package and is available from Linux Kernel Archive (https://www.kernel.org/pub/linux/utils/util-linux/).

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.